// Fichier : Fichier.h
#pragma once

#include <stdio.h>

class Fichier  
{
private:
	// ces champs sont enregistrés dans l'entête du fichier
	// en archive
	char*nom;
	int taille_originale;
	int taille_archive;
	int type_algo;

	static const int AL_AUTO;
	static const int AL_COPIE;
	static const int AL_RLE;
	static const int AL_LZW;
	static const int AL_HUFFMAN;

public:	
	Fichier();
	Fichier(int algo);
	void comprimer(char*nom_fichier,FILE*dest);
	void expanser(FILE*source,char*destination);
	bool lire_entete(FILE*source);
	void afficher_entete();
};